Aiutamici Forum
Benvenuto Ospite Cerca | Topic Attivi | Utenti | | Log In | Registra

[RISOLTO]Come aggiornare Firefox da 3.5.6 alla nuova 3.5.7? Opzioni
mitsuve
Inviato: Saturday, January 09, 2010 7:44:30 PM

Rank: AiutAmico

Iscritto dal : 11/19/2009
Posts: 93
Ciao a tutti,
Spero che Antonio legga questo post poiché penso possa interesare molti utenti ubuntiani, poiché pochi giorni fa è stata rilasciata da Mozilla Italia la versione nuova di Mozilla Firefox ovvero la 3.5.7 ecco il link con la news: http://feedproxy.google.com/~r/mozillaitalia/~3/iem_M51jj7c/
Allora sono andato sul sito di Ubuntuzilla cioè qui http://sourceforge.net/projects/ubuntuzilla/ e mi sono scaricato il piccolo file .deb in questione per passare dalla mia attuale 3.5.6 ad appunto alla 3.5.7 e poi ho chiuso il browser, ho scritto il solito ubuntuzilla.py nel terminale e purtroppo sono cominciati i problemi poiché lo script in python mi diceva che non riusciva a collegarsi al server di Mozilla per effetuare l'update e poi si chiudeva dicendo che ":E: Il pacchetto firefox-mozilla-build deve essere reinstallato, ma non si riesce a trovare un archivio per esso.
sudo apt-get install firefox
Package installation failed. Cannot proceed.
Process returned code 100
Traceback (most recent call last):
File "/usr/local/bin/ubuntuzilla.py", line 1331, in <module>
bs.start()
File "/usr/local/bin/ubuntuzilla.py", line 311, in start
fi.start()
File "/usr/local/bin/ubuntuzilla.py", line 354, in start
self.install()
File "/usr/local/bin/ubuntuzilla.py", line 770, in install
self.aptgetMeasures()
File "/usr/local/bin/ubuntuzilla.py", line 535, in aptgetMeasures
self.util.execSystemCommand(executionstring="sudo apt-get install " + self.aptPackage, errormessage="Package installation failed. Cannot proceed.")
File "/usr/local/bin/ubuntuzilla.py", line 154, in execSystemCommand
raise SystemCommandExecutionError, "Command has not completed successfully. If this problem persists, please seek help at our website, " + self.version.url
__main__.SystemCommandExecutionError: Command has not completed successfully. If this problem persists, please seek help at our website, http://ubuntuzilla.sourceforge.net/
La medesima scritta che poi appariva dopo aver dato
Code:
sudo apt-get autoremove

e pure se davo
Code:
sudo apt-get -f install
cioè il classico comando per risolvere le dipendenze irrisolte.
Il gestore di pacchetti mi segnalava tale errore con l'apparizione di un cartello di divieto d'accesso sulla barra in alto.
Alla fine per fortuna solo Muflone del LQH mi ha risolto il tutto dando questo comando:
Code:
sudo dpkg --remove --force-remove-reinstreq firefox-mozilla-build


Ora sul sito di Ubuntuzilla si vede chiaramente che invitano a non scaricare manualmente i singoli file deb che pure rimangono presenti bensì ad aggiungere il repo di Ubuntuzilla ai propri repo, cioè alla lista /etc/apt/sources.list: infatti basta leggere quanto viene detto nel riquadro in celeste a destra della pagina http://sourceforge.net/apps/mediawiki/ubuntuzilla/index.php?title=Main_Page

Ora siccome esiste (il tip è di Guido Iodice) anche questo repo https://edge.launchpad.net/~ubuntu-mozilla-daily/+archive/ppa?field.series_filter=hardy
vorrei sapere che ne pensa Antonio, ovvero se aggiungere il repo di Ubuntuzilla o l'altro il Daily Build che contiene però anche la versione 3.5.8 e perciò successiva e perciò potenzialmente instabile.
Scusate la lunghezza del post, ma ho cercato di essere il più chiaro possibile.
Attendo news.Grazie e ciao
Sponsor
Inviato: Saturday, January 09, 2010 7:44:30 PM

 
sioux
Inviato: Saturday, January 09, 2010 7:59:43 PM
Rank: AiutAmico

Iscritto dal : 1/5/2008
Posts: 2,208
Salve Mitsuve

Beh, forse non ho capito bene il tuo post, ma nel mio caso :
Karmic (Gnome) 64 bit , senza Ubuntuzilla.
Il passaggio a Firefox 3.5.7 si è svolto in modo naturale; tramite gli aggiornamenti quotidiani. La versione è in italiano e funziona serenamente:

"/>

O parli di qualche speciale versione di Ubuntu compilata e curata da Cantaro?
mitsuve
Inviato: Saturday, January 09, 2010 8:06:56 PM

Rank: AiutAmico

Iscritto dal : 11/19/2009
Posts: 93
Grazie per la velocissima risposta Sioux, ma il problema (colpa mia, che non l'ho specificato) è che io uso la vecchia ma affidabile Hardy Heron 8.04 ( e per la versione 3.5 di Firefox ho sempre usato il piccolo file deb di Ubuntuzilla come suggerito dal prof, ma l'altro giorno ho avuto quel grave problema.
Ciao
sioux
Inviato: Saturday, January 09, 2010 8:36:41 PM
Rank: AiutAmico

Iscritto dal : 1/5/2008
Posts: 2,208
Ok, ciao.
mimmomix
Inviato: Saturday, January 09, 2010 9:34:10 PM
Rank: Member

Iscritto dal : 12/9/2009
Posts: 25
Per conoscenza, ho kk e per installare firefox 3.5.7 (avevo la 3.5.2) ho seguito alla lettera le istruzioni del prof Cantaro e tutto è andato bene, ritrovandomi con la nuova versione con tutti i miei settaggi. Ciao a tutti.
mitsuve
Inviato: Saturday, January 09, 2010 9:52:38 PM

Rank: AiutAmico

Iscritto dal : 11/19/2009
Posts: 93
Ciao mimmomix, proprio ora ho provato a scaricarmi di nuovo il file deb di Ubuntuzilla cioè questo http://sourceforge.net/projects/ubuntuzilla/files/mozilla/apt/pool/main/f/firefox-mozilla-build/firefox-mozilla-build_3.5.7-0ubuntu2_i386.deb/download e poi ho chiuso firefox e poi da shell ho dato il solito ubuntuzilla.py ed ho ottenuto il medesimo errore del mio post iniziale: ho risolto come prima e cioè con
Code:
    sudo dpkg --remove --force-remove-reinstreq firefox-mozilla-build


Penso che lo script in python di Ubuntuzilla non funzioni più per una versione "datata" come la mia ovvero Hardy Heron 8.04; ricordo che comunque essendo una LTS a livello desktop dovrebbe ancora essere "valida" per gli sviluppatori di Ubuntuzilla.
Idee? ciao.
mitsuve
Inviato: Sunday, January 10, 2010 10:17:28 AM

Rank: AiutAmico

Iscritto dal : 11/19/2009
Posts: 93
Ciao a tutti. Stamane ho visto dal sito del Majorana la pagina che trattava proprio l'update a Firefox 3.5.7 e ho riprovato a scaricarmi il file .deb indicato da Antonio ecco il link http://dfn.dl.sourceforge.net/project/ubuntuzilla/apt/pool/main/u/ubuntuzilla/ubuntuzilla_4.8.3-0ubuntu1_i386.deb e la procedura è andata a buon fine stavolta; non capisco come mai, anche perché lo script in python del file deb anche ora ha avuto all'inizio il medesimo problema di quanto avevo detto nel mio post iniziale, ovvero, non facendo nient'altro che collegarsi al server di Mozilla con il protocollo ftp, prova a scaricarsi l'ultima versione del browser con gli eventuali pacchetti lingua e plugin e li installa al posto giusto, ma all'inizio non riusciva e allora ha riprovato e alla fine è riuscito a collegarsi ed a scaricarsi il tutto.
Sicuramente questa è la procedura più semplice e meno invasiva, e che ritengo sia da preferire forse sia all'aggiunta di un nuovo repo tra quelli che uno ha, poiché ad esempio nel repo Mozilla Daily Build cioè https://edge.launchpad.net/~ubuntu-mozilla-daily/+archive/ppa?field.series_filter=hardy è presente addirittura già la versione 3.5.8 e nessuno può, a priori, assicurare che funzioni ,senza problemi, su Ubuntu!

Anche l'aggiunta del repo Ubuntuzilla mi pare una procedura più delicata visto che loro stessi dicono, quanto segue, nella main page del wiki:"Old ubuntuzilla installer script users note: before installing these packages, run "ubuntuzilla.py -a remove -p packagename". Otherwise installation may fail due to the existence of a local diversion of /usr/bin/ links, placed there by the old ubuntuzilla script."
tratta da http://sourceforge.net/apps/mediawiki/ubuntuzilla/index.php?title=Main_Page

Inoltre poi bisogna installare anche l'add-on per la lingua italiana ed allora mi pare che la scelta di Antonio (cioè dello script in python) sia ancora la scelta migliore.
Vorrei sentire, se possibile, anche il parere del prof. in merito.
Ciao.
martigues
Inviato: Sunday, January 10, 2010 10:50:19 AM

Rank: AiutAmico

Iscritto dal : 1/22/2008
Posts: 280
Ieri ho aggiornato con Ubuntuzilla (Plus4) ed non ho avuto problemi ad ottenere la 3.5.7.

Ma pare, come dice sioux, che Ubuntu, adesso, aggiorna, d'ufficio, a Firefox 3.5.7.

Un saluto, Antonio.




mitsuve
Inviato: Sunday, January 10, 2010 5:42:20 PM

Rank: AiutAmico

Iscritto dal : 11/19/2009
Posts: 93
Purtroppo con la mia Hardy 8.04 gli update non avvengono "da soli" per Firefox: infatti nei repo ufficiali è addirittura presente la versione 3.0 di Mozilla Firefox: in ogni caso con il file deb ho risolto la cosa.
Mi è stato spiegato che ciò dipende dal fatto che Firefox è un prodotto di Mozilla e NON della Canonical e e neanche di Ubuntuzilla: quelli dei Mozilla Labs fanno uscire una nuova versione per loro funzionante, e poi lasciano che siano gli sviluppatori delle singole distro GNU/Linux a testare quella versione sulle distro che questi ultimi curano; finché questi non ritengono stabile ed affidabile la nuova versione del browser NON la inseriscono affatto nei repo ufficiali, e lasciano che l'utente utilizzi la precedente. Il problema è che spesso sono parecchio in ritardo nel considerare affidabile l'ultima versione di un software (in questo caso Firefox) e così mentre Mozilla ne fa uscire un'altra, ecco che quelli della Canonical (ad esempio) stanno ancora valutando quella precedente: lo stesso dicasi per OpenOffice ad esempio.
Io pensavo invece che i Mozilla Labs lavorassero in sinergia con quelli della Canonical, considerato che Firefox è proposto come il browser di default su Ubuntu, invece così non è evidentemente!

Cercando con Google e Wikipedia infatti ho scoperto che addirittura in Debian Stable (distro che mi accingo a provare appena ho tempo) cioè in Lenny, Firefox ha un altro nome come pure Thunderbird, ed è addirittura diverso:infatti Mozilla Firefox di default non è affatto come appare su Ubuntu, ma viene appunto "addattato" ad Ubuntu, così come avviene in ambiente Windows anche se quest'ultimo appare molto simile a quello che si trova in Ubuntu.
Ho detto tutto questo, perché penso possa interessare anche ad altri utenti, i principi che sovraintendono l'inserimento o meno di applicazioni anche importanti, come appunto il software per navigare.
Bisogna trovare il giusto compromesso a mio avviso, tra stabilità ed innovazione, e la cosa non è sempre così facile.
Spesso è l'utente finale che si trova ad operare delle scelte che, se non si rivelano felici, possono anche compromettere seriemente il proprio OS; invece dovrebbe esserci forse maggiore collaborazione al livello dello sviluppo di applicazioni, tra coloro che studiano un software e coloro che curano una distro con proprio quel software scelto addirittura come software di default tipo evolution o gedit per capirci!
Soprattutto se parliamo di distro diffusissime in ambiente GNU/Linux, come Ubuntu e Debian.
Mi fermo qui e saluto tutti.
Grazie e ciao.
Utenti presenti in questo topic
Guest


Salta al Forum
Aggiunta nuovi Topic disabilitata in questo forum.
Risposte disabilitate in questo forum.
Eliminazione tuoi Post disabilitata in questo forum.
Modifica dei tuoi post disabilitata in questo forum.
Creazione Sondaggi disabilitata in questo forum.
Voto ai sondaggi disabilitato in questo forum.

Main Forum RSS : RSS

Aiutamici Theme
Powered by Yet Another Forum.net versione 1.9.1.8 (NET v2.0) - 3/29/2008
Copyright © 2003-2008 Yet Another Forum.net. All rights reserved.